Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2690 - HTTP install: double slashes in URL after web server name
Summary: HTTP install: double slashes in URL after web server name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-09 22:23 UTC by Radoslav Bendik
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-15 22:21:45 UTC


Attachments (Terms of Use)

Description Radoslav Bendik 1999-05-09 22:23:33 UTC
According to rhmanual (sec. 5.4) path to RedHat directory has to begin with slash.
But installer adds yet another slash between web server name and path (src/install/urlmethod.c:302), so this results to URL like "http://web.server.org//redhat-6.0/RedHat/" which can cause problems with some web servers (e.g. OSU but also Apache).
Apache returns "404 Not Found" for "//~user/" although "/~user/" is "200 OK". However "//directory/" is also OK (this is probably problem with Apache).

FIX (to RedHat)
write path to RedHat directory without beginning '/' (change the docs)
or in urlmethod.c change the line 302:
   sprintf(ui->urlprefix, "%s://%s/%s",
to:
   sprintf(ui->urlprefix, "%s://%s%s",

Comment 1 David Lawrence 1999-05-10 20:35:59 UTC
I have verified that the http strings does in fact get formatted as
reported which can cause confusion on some web servers.

Comment 2 Bill Nottingham 1999-07-15 22:21:59 UTC
will be fixed on next installer release.


Note You need to log in before you can comment on or make changes to this bug.